package org.eco.system.controller.video;

import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.dev33.satoken.annotation.SaCheckRole;
import jakarta.annotation.Resource;
import lombok.RequiredArgsConstructor;
import org.eco.common.core.constant.TenantConstants;
import org.eco.common.core.core.domain.CommonResult;
import org.eco.common.web.core.BaseController;
import org.eco.system.domain.po.VideoPo;
import org.eco.system.service.ITask;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/video/VideoTask")
public class TaskController extends BaseController {

    @Resource
    private ITask iTaskV;


    @SaCheckRole(TenantConstants.SUPER_ADMIN_ROLE_KEY)
    @SaCheckPermission("system:tenantPackage:list")
    @GetMapping("/list")
    public CommonResult<List<VideoPo>> list(VideoPo po) {
        return CommonResult.success(iTaskV.selectListByUser(po));
    }
}
