package org.eco.system.controller.video;

import cn.dev33.satoken.annotation.SaCheckRole;
import jakarta.annotation.Resource;
import lombok.RequiredArgsConstructor;
import org.eco.common.core.constant.TenantConstants;
import org.eco.common.log.annotation.Log;
import org.eco.common.log.enums.BusinessType;
import org.eco.common.web.annotation.RepeatSubmit;
import org.eco.common.web.core.BaseController;
import org.eco.system.domain.po.VideoPo;
import org.eco.system.domain.vo.VideoVO;
import org.eco.system.service.IVideofile;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;


@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/video/Videofile")
public class VideofileController extends BaseController {


    @Resource
    private IVideofile videofileService;

    @SaCheckRole(TenantConstants.SUPER_ADMIN_ROLE_KEY)
    @Log(title = "创建数字人视频生成任务", businessType = BusinessType.INSERT)
    @RepeatSubmit
    @PostMapping("/createVideo")
    public VideoPo createVideo(@RequestBody VideoVO vo) throws IOException {
        VideoPo video = videofileService.createVideo(vo);
        return video;
    }
}
